
on isVoiceOverRunning()
	set isRunning to false
	tell application "System Events"
		set isRunning to (name of processes) contains "VoiceOver"
	end tell
	return isRunning
end isVoiceOverRunning

on isVoiceOverRunningWithAppleScript()
	if isVoiceOverRunning() then
		set isRunningWithAppleScript to true
		
		-- is AppleScript enabled on VoiceOver --
		tell application "VoiceOver"
			try
				set x to bounds of vo cursor
			on error
				set isRunningWithAppleScript to false
			end try
		end tell
		return isRunningWithAppleScript
	end if
	return false
end isVoiceOverRunningWithAppleScript
set battStatus to do shell script "pmset -g ps"
if battStatus contains "InternalBattery" then
	set {TID, text item delimiters} to {text item delimiters, ";"}
	set battStatus to text items of battStatus
	set text item delimiters to tab
	set battStatus to text 1 thru -2 of last text item of item 1 of battStatus as integer
	set text item delimiters to TID
end if
if isVoiceOverRunningWithAppleScript() then
	tell application "VoiceOver"
		
		output ("Bateria " & battStatus as text) & "%"
	end tell
else
	say ("Bateria " & battStatus as text) & "%"
end if